samtools (1.3.1-2) unstable; urgency=medium

  952da10 Build-depends on htslib 1.3.1. (Closes: #822701)

 -- Charles Plessy <plessy@debian.org>  Sun, 08 May 2016 21:11:12 +0900

samtools (1.3.1-1) unstable; urgency=medium

  0c961b2 Merge tag '1.3.1' into debian/unstable
  3666b08 Conforms with Policy version 3.9.8.

 -- Charles Plessy <plessy@debian.org>  Tue, 26 Apr 2016 21:12:05 +0900

samtools (1.3-1) unstable; urgency=medium

  [ Charles Plessy ]
  95c561d Merge tag '1.3' into debian/unstable

  [ Sascha Steinbiss ]
  * Team upload
  * Adapt to new build system
  * Use secure Vcs-Git
  * Patch autoconf not to use make to extract version
  * Clean up d/copyright
  * Fix spelling

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 05 Feb 2016 08:32:40 +0000

samtools (1.2-4) unstable; urgency=medium

  * Team upload
  * Fix synopsis
  * Fix Vcs-Browser
  * Add lintian-override to document that the language extensions are used
    internally
  * Fix spelling
  * Fix Mayhem issues caused by unlimited reads of gz input
    Closes: #716199, #716197
  * Provide some more manpages

 -- Andreas Tille <tille@debian.org>  Mon, 21 Dec 2015 13:49:05 +0100

samtools (1.2-3) unstable; urgency=medium

  * Team upload.
  [19de55e] Revert "Allow all scripts to be called without language extensions"
    (Closes: #799698)
  [658179c] Revert "Remove source files not present in upstream tarball"

 -- Afif Elghraoui <afif@ghraoui.name>  Tue, 22 Sep 2015 06:42:01 -0700

samtools (1.2-2) unstable; urgency=medium

  [ Afif Elghraoui ]
  eb56918 Add patch to fix building on i386
  702d289 Remove source files not present in upstream tarball
  7afd302 Allow all scripts to be called without language extensions

  [ Charles Plessy ]
  876f680 Document the update workflow of the source package's repository.

 -- Charles Plessy <plessy@debian.org>  Thu, 17 Sep 2015 20:21:15 +0900

samtools (1.2-1) unstable; urgency=medium

  a5f28a0 Merge tag '1.2' into debian/unstable
  c542e84 Build-depend on libhts-dev 1.2.
  6c2d9cd Build-depend and recommend libio-pty-perl.
          (Needed for the regression tests.)
  23e44a4 Removed fix_coverage_cap.patch, obsoleted by -d option.
  1091aab Refreshed fuzzy patches.

 -- Charles Plessy <plessy@debian.org>  Tue, 16 Jun 2015 06:12:12 +0900

samtools (1.1-1) unstable; urgency=medium

  c448d48 Merge tag '1.1' into debian/unstable
  d12ab1e Merge branch 'develop' into debian/unstable to solve issue
          with regression tests needing a pseudo-terminal.
          See https://github.com/samtools/samtools/issues/300
  c87f8ce Add autopkg tests.
  7c50b7b Removed python-wrong-path-for-interpreter.patch
          (issue solved upstream).

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Sep 2014 09:04:20 +0900

samtools (1.0-1) unstable; urgency=low

  [ Charles Plessy ]
  54ca0c1 Merge with upstream's develop branch.
  241a731 razip was removed from samtools.
  dc25b81 debian/watch: also track release candidates.
  07aaf71 Indicate repository layout in git-buildpackage conf. file.

  * debian/control

  8bc0fb7 Stop depending on CDBS and quilt.
  e613142 Drop static libbam, replaced by the dynamic libhts (Closes: #544976).
  b5f284c Build-depend on tabix for the regression tests, that use bgzip.
  9febad6 Recommend python since samtools installs a python script in /usr/bin.
  0446ed7 Conforms with Policy 3.5.6.

  * New package samtools-test

  7293cca Create a test package for the test data.
  6bd7b89 Adjust install file for two-package build.
  caff5f5 Clean before installing test files (this removes compiled files).

  * debian/rules

  c930cbb Use Debhelper instead of CDBS and rely on the new upstream Makefile.
  845581d Adjust for dynamic linking.
  d859052 Indicate path to packaged bgzip.
  cb23517 Mimick Makefile's CPPFLAGS.
  aee1c6c Allow parallel building.
  edc09e4 Prevent Makefile from including local copy of the HTSlib.

  * debian/patches

  f73d764 d062687 Refreshed patches.
  2c52f6a 61ac2c5 Forwarded patches on GitHub.
  b8eb378 Dropped fix_example_makefile.patch, obsolete.
  66079b9 Correct path to python interpreter.
  218c1c1 Modify Makefile to facilitate dynamic linking.

  [ Andreas Tille ]
  f69f412 Versioned Build-Depends libhts-dev >= 1.0

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Sep 2014 09:36:27 +0900

samtools (0.1.19-1) unstable; urgency=low

  cb9bd50 Imported https://github.com/samtools/samtools/archive/0.1.19.tar.gz
  1e6d442 new tools ace2sam, bamcheck, plot-bamcheck, r2plot.lua, vcfutils.lua.
  2f2d5c5 debian/copyright: collapsed copyright notices from main holders.
  e194f9e Removed fix_float_tag.patch, corrected upstream.
  9c0e543 Refreshed patches.
  3e7e0ec Renamed no-pileup-tests.patch fix_example_makefile.patch.
  8d8550e example/Makefile: pass -lpthread when compiling calDepth.
  fc32243 harden by concatenating Debian's LDFLAGS and CPPFLAGS in CFLAGS.
  6f75b48 debian/control: normalised with cme.
  e13bb5e debian/control: normalised VCS URLs.
  a1b1b00 debian/control: deleted DM-Upload-Allowed field.
  ddcd54e Use NEWS as upstream changelog.
  81ad760 Conforms to Policy version 3.9.4.

 -- Charles Plessy <plessy@debian.org>  Sat, 30 Mar 2013 17:31:47 +0900

samtools (0.1.18-4) unstable; urgency=low

  [Charles Plessy]
  * debian/copyright: Normalised with config-model
  * added bash completion
  * Build-depend on Debhelper 9
  * Pass build flaggs set by dpkg-buildflags via Debhelper
  * Moved DOI and PubMed to the Reference namespace
  * Do not compress the example binary alignment file
  * Mention ‘SAMtools’ in libbam-dev's description

  [Andreas Tille]
  * debian/upstream: replaced BibTeX entry

  [Dominique Belhachemi]
  * added patch to fix float tag bug (upstream bug 71)

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 21 Dec 2012 12:09:18 -0500

samtools (0.1.18-3) unstable; urgency=low

  * upload 0.1.18-2 closed the wrong bug, correction:
  * added patch to fix segfault in mpileup (Closes: #653042)
  * added patch to fix coverage cap (Closes: #671524)

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 27 Jul 2012 11:11:41 -0400

samtools (0.1.18-2) unstable; urgency=low

  * added patch to fix segfault in mpileup (Closes: #544976)
  * added patch to fix coverage cap (Closes: #671524)

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 26 Jul 2012 18:30:48 -0400

samtools (0.1.18-1) unstable; urgency=low

  [b990d9d3] New upstream release.
  [d59366b9] Updated copyright statements.
  [aa08abe5] Compress binary packages with xz.
  [9a36c994] Added a DEP 3 header to debian/patches/no-pileup-tests.patch.

 -- Charles Plessy <plessy@debian.org>  Tue, 06 Sep 2011 16:52:04 +0900

samtools (0.1.17-1) unstable; urgency=low

  * New upstream release 0.1.17 (6 July, 2011).
  * bcftools.1 and samtools.1 merged (debian/rules, debian/samtools.manpages).
  * Patched the example makefile to not use samtools pileup, deprecated.
    (debian/control, debian/rules, debian/patches/series,
    debian/patches/no-pileup-tests.patch)

 -- Charles Plessy <plessy@debian.org>  Mon, 11 Jul 2011 21:04:30 +0900

samtools (0.1.16-1) unstable; urgency=low

  * New upstream release, implementing SAM Spec v1.4.
  * Distribute sam.h and the other headers in /usr/include/samtools.
    Closes: #625622, #626044, LP: #690997.

 -- Charles Plessy <plessy@debian.org>  Thu, 19 May 2011 13:24:25 +0900

samtools (0.1.15-1) unstable; urgency=low

  * New upstream release.
  * Incremented Standards-Version to reflect conformance with Policy 3.9.2
    (debian/control, no changes needed).
  * debian/watch directly interrogates and downloads froms SourceForge.

 -- Charles Plessy <plessy@debian.org>  Tue, 12 Apr 2011 19:44:41 +0900

samtools (0.1.14-1) unstable; urgency=low

  * New upstream release.

 -- Charles Plessy <plessy@debian.org>  Tue, 29 Mar 2011 13:13:54 +0900

samtools (0.1.13-1) unstable; urgency=low

  * New upstream release:
    - backward incompatible with VCF/BCF generated by samtools older
      than r921 inclusive (0.1.12a is r862);
    - buildable with with ld --as-needed (Closes: #606004);
    - the helper tool bcf-fix.pl was removed.
  * Install the manual page of bcftools (debian/rules,
    debian/samtools.manpages). Closes: #616025.

 -- Charles Plessy <plessy@debian.org>  Wed, 02 Mar 2011 13:54:34 +0900

samtools (0.1.12a-1) unstable; urgency=low

  * New upstream release.
  * Use bzip2 compression for the binary packages (debian/rules).
  * Incremented debhelper compatibility level to 8, in case ‘--‘ is not
    available in earlier versions (debian/compat, debian/control).

 -- Charles Plessy <plessy@debian.org>  Fri, 03 Dec 2010 13:32:21 +0900

samtools (0.1.10-1) unstable; urgency=low

  * New upstream release.

 -- Charles Plessy <plessy@debian.org>  Wed, 17 Nov 2010 20:32:40 +0900

samtools (0.1.9-1) unstable; urgency=low

  * New upstream release, and new program: bcftools.
  * debian/rules, debian/samtools.install: install bcftools, its manpage,
    and bcf-fix.pl and vcfutils.pl.
  * debian/samtools.examples, debian/rules: install and clean new examples.
  * Incremented Standards-Version to reflect conformance with Policy 3.9.1
    (debian/control, no changes needed).
  * Updated and reformatted debian/copyright according to latest DEP-5 draft.

 -- Charles Plessy <plessy@debian.org>  Mon, 01 Nov 2010 20:06:32 +0900

samtools (0.1.8-1) unstable; urgency=low

  * New upstream release.
  * Updated the VCS fields to the current Git repository (debian/control).
  * Install python scripts in usr/share/samtools, and suggest python
    (debian/samtools.install, debian/rules, debian/control).
  * Incremented Standards-Version to reflect conformance with Policy 3.9.0
    (debian/control, no changes needed).
  * Added notes on how the package is tested (debian/README.Debian).

 -- Charles Plessy <plessy@debian.org>  Wed, 14 Jul 2010 14:08:59 +0900

samtools (0.1.7a~dfsg-1) unstable; urgency=low

  * New upstream release: new script sam2vcf.pl, and many other changes.
  * Package converted to the format ‘3.0 (quilt)’ (debian/source/format).
  * Wrote a manual page for razip (debian/razip.1).
  * Better clean the example directory to make the source package
    buildable twice in a row (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Nov 2009 21:38:24 +0900

samtools (0.1.6~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Upstream sources repackaged to remove the win32 directory:
    - The removal was done with git-import-orig in a parallel Git repository,
      and the corresponding debian/gbp.conf file was added to this package.
    - Mangled the ~dfsg string of the Debian version in debian/watch.
    - Added a debian/README.source file and explanations in debian/copyright.

 -- Charles Plessy <plessy@debian.org>  Mon, 14 Sep 2009 21:58:36 +0900

samtools (0.1.5c-2) unstable; urgency=low

  * Rebuilt with -fPIC (debian/rules, README.Debian).
  * Small corrections to the description from upstream (debian/changelog).
  * Incremented Standards-Version to reflect conformance with Policy 3.8.3
    (no changes needed).

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Sep 2009 19:29:40 +0900

samtools (0.1.5c-1) unstable; urgency=low

  * Initial release (Closes: #540453)

 -- Charles Plessy <plessy@debian.org>  Sun, 16 Aug 2009 14:38:20 +0900
